WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: piCore 14.0 (32 and 64 bit) release  (Read 20052 times)

aus9

  • Guest
Re: piCore 14.0 (32 and 64 bit) release
« Reply #30 on: June 29, 2023, 03:33:24 AM »
OK  good news for openssh copy and paste.
the flags are defined well by changing the " to ' via openssh.

It might be possible for someone on arm 32 for 14.x series to confirm that aterm is producing garbage by inputting
Quote
case $(uname -m) in
   arm*)
      export CFLAGS="-flto=auto -Os -pipe -march=armv6zk -mtune=arm1176jzf-s -mfpu=vfp"
      export CXXFLAGS="-flto=auto -Os -pipe -fno-exceptions -fno-rtti -march=armv6zk -mtune=arm1176jzf-s -mfpu=vfp"
   ;;
   aarch64)
      export CFLAGS="-flto=auto -Os -pipe -march=armv8-a+crc -mtune=cortex-a72"
      export CXXFLAGS="-flto=auto -Os -pipe -fno-exceptions -fno-rtti -march=armv8-a+crc -mtune=cortex-a72"
   ;;
esac
export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:/usr/lib/pkgconfig

if no-one sees garbage there must be something wrong my end....other than my brain  ;D
« Last Edit: June 29, 2023, 03:48:11 AM by aus9 »

aus9

  • Guest
Re: piCore 14.0 (32 and 64 bit) release
« Reply #31 on: June 29, 2023, 03:42:11 AM »
so I had submitted but cancelled jwm on arm6/7/7l as I still had a "hidden" dep of pcre, meaning not prce2.

I am on openssh build ATM and here is what I am seeing.
P=jwm and I build at /tmp
Code: [Select]
file jwm/usr/local/bin/* | grep ELF
jwm/usr/local/bin/jwm:               ELF 32-bit LSB pie executable, ARM, EABI5 version 1 (SYSV), dynamically linked, interpreter /lib/ld-linux-armhf.so.3, for GNU/Linux 5.15.1, stripped
# jwm has no shared objects

Now the misleading bit
Code: [Select]
readelf -d $P/usr/local/bin/$P | grep 'NEEDED' | grep pcre
# returns no hits as pcre nor pcre2 are hits

misleading because of some TCE needing pcre as per
Code: [Select]
ldd $P/usr/local/bin/$P  | grep pcre
libpcre.so.1 => not found
libpcre.so.1 => not found
libpcre.so.1 => not found
libpcre2-8.so.0 => /usr/local/lib/libpcre2-8.so.0 (0xb6580000)
libpcre.so.1 => not found

Does anyone know how to track down....when pcre is not even loaded why ldd thinks its needed?
I am thinking I need to run the readelf to track down 4 TCEs of all currently loaded?

And I am confirming when I rebooted with jwm in my boot list without pcre....I got the failed for waitforX until I loaded pcre
Thanks for reading
« Last Edit: June 29, 2023, 03:46:03 AM by aus9 »

aus9

  • Guest
Re: piCore 14.0 (32 and 64 bit) release
« Reply #32 on: June 29, 2023, 04:04:42 AM »
woo hoo started with only openssh...in boot list which I should have done before sorry and we have in loading make deps for jwm
Code: [Select]
fontconfig.tcz: OK
fc-cache: error while loading shared libraries: libpcre.so.1: cannot open shared object file: No such file or directory
fontconfig-dev.tcz: OK

as fontconfig had been in my boot list .....I missed seeing these messages for pcre

Code: [Select]
/tmp/tcloop/fontconfig/usr/local/bin# readelf -d * | grep 'NEEDED' | grep pcre
 0x00000001 (NEEDED)                     Shared library: [libpcre.so.1]
 0x00000001 (NEEDED)                     Shared library: [libpcre.so.1]
 0x00000001 (NEEDED)                     Shared library: [libpcre.so.1]
 0x00000001 (NEEDED)                     Shared library: [libpcre.so.1]
 0x00000001 (NEEDED)                     Shared library: [libpcre.so.1]
 0x00000001 (NEEDED)                     Shared library: [libpcre.so.1]
 0x00000001 (NEEDED)                     Shared library: [libpcre.so.1]
 0x00000001 (NEEDED)                     Shared library: [libpcre.so.1]
 0x00000001 (NEEDED)                     Shared library: [libpcre.so.1]

ok I hope its only the one TCE with all of its executables ....nine of the little rascals.
Code: [Select]
ls
fc-cache     fc-conflist  fc-match     fc-query     fc-validate
fc-cat       fc-list      fc-pattern   fc-scan


« Last Edit: June 29, 2023, 04:08:33 AM by aus9 »

aus9

  • Guest
Re: piCore 14.0 (32 and 64 bit) release
« Reply #33 on: June 29, 2023, 04:26:01 AM »
Nope....started to do a private update of fontconfig and now I get at the make stage
numerous mentions of
Code: [Select]
/usr/local/bin/ld: warning: libpcre.so.1, needed by /usr/local/lib/libfreetype.so
so it looks like our new list is fontconfig and freetype.

aus9

  • Guest
Re: piCore 14.0 (32 and 64 bit) release
« Reply #34 on: June 29, 2023, 07:50:39 AM »
started to complete private update of freetype and found pcre for ldd  and its harfbuzz,
Code: [Select]
tc@box:/tmp/tcloop/harfbuzz/usr/local/bin$ readelf -d * | grep 'NEEDED' | grep pcre
 0x00000001 (NEEDED)                     Shared library: [libpcre.so.1]
 0x00000001 (NEEDED)                     Shared library: [libpcre.so.1]
 0x00000001 (NEEDED)                     Shared library: [libpcre.so.1]

we are getting there.
In looks like it may take me a bit longer than I hoped but I prefer to submit at least one desktop without pcre dep. Due to my pref report openssh issue I was building natively...but doing so with pcre issues. Once I resolve these I can go back to native build.
Thanks for reading

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14641
Re: piCore 14.0 (32 and 64 bit) release
« Reply #35 on: June 29, 2023, 11:40:22 AM »
fontconfig, freetype and harfbuzz updated in armv* repos.

aus9

  • Guest
Re: piCore 14.0 (32 and 64 bit) release
« Reply #36 on: June 29, 2023, 10:52:41 PM »
Hi Juanito

thanks for that. I noticed LFS thinks harfbuzz and freetype are make dependencies of each other....laughs.I  was cheating off your freetype so never got to get around to harfbuzz.  I admit that I over rely on readelf and I know another user who uses it too. Its not enough. I have to use ldd too but progress this morning is miles better than last night.
Code: [Select]
readelf -d $P/usr/local/bin/$P | grep 'NEEDED'
 0x00000001 (NEEDED)                     Shared library: [libX11.so.6]
 0x00000001 (NEEDED)                     Shared library: [libpng16.so.16]
 0x00000001 (NEEDED)                     Shared library: [libz.so.1]
 0x00000001 (NEEDED)                     Shared library: [libjpeg.so.62]
 0x00000001 (NEEDED)                     Shared library: [libXft.so.2]
 0x00000001 (NEEDED)                     Shared library: [libXrender.so.1]
 0x00000001 (NEEDED)                     Shared library: [libXpm.so.4]
 0x00000001 (NEEDED)                     Shared library: [libXinerama.so.1]
 0x00000001 (NEEDED)                     Shared library: [libc.so.6]
 0x00000001 (NEEDED)                     Shared library: [ld-linux-armhf.so.3]
root@box:/tmp# ldd $P/usr/local/bin/$P | grep pcre
libpcre.so.1 => not found
libpcre2-8.so.0 => /usr/local/lib/libpcre2-8.so.0 (0xb6490000)

I know which one it is by going into each /tmp/tcloop at my current skill level. Its libXft.But there could be more.

thanks for reading
« Last Edit: June 29, 2023, 10:54:43 PM by aus9 »

aus9

  • Guest
Re: piCore 14.0 (32 and 64 bit) release
« Reply #37 on: June 30, 2023, 02:52:06 AM »
Ok there is more, for arm 6/7 ...after building libXfont2 and libXft...jwm builds with no ldd hits for pcre(1)
I regret to inform you that xorg-server and libudev remain. And that is with a very small boot list. Sorry about this.
I can have a go at libudev but xorg-server is above my skill set. I can submit libXfont2 and libXft if interested?

trivia from openssh session
Code: [Select]
/tmp/tcloop$ ldd xorg-server/usr/local/bin/* | grep pcre
xorg-server/usr/local/bin/X: error while loading shared libraries: xorg-server/usr/local/bin/X: invalid ELF header
libpcre.so.1 => /usr/local/lib/libpcre.so.1 (0xb67c0000)
libpcre2-8.so.0 => /usr/local/lib/libpcre2-8.so.0 (0xb60e0000)
xorg-server/usr/local/bin/Xorg: error while loading shared libraries: xorg-server/usr/local/bin/Xorg: invalid ELF header
libpcre.so.1 => /usr/local/lib/libpcre.so.1 (0xb6940000)
libpcre2-8.so.0 => /usr/local/lib/libpcre2-8.so.0 (0xb60e0000)

/tmp/tcloop$ ldd libudev/usr/local/lib/* | grep pcre
libpcre.so.1 => /usr/local/lib/libpcre.so.1 (0xb6cf0000)
libpcre2-8.so.0 => /usr/local/lib/libpcre2-8.so.0 (0xb6a80000)
libpcre.so.1 => /usr/local/lib/libpcre.so.1 (0xb6d00000)
libpcre2-8.so.0 => /usr/local/lib/libpcre2-8.so.0 (0xb6a90000)
libpcre.so.1 => /usr/local/lib/libpcre.so.1 (0xb6c60000)
libpcre2-8.so.0 => /usr/local/lib/libpcre2-8.so.0 (0xb69f0000)

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14641
Re: piCore 14.0 (32 and 64 bit) release
« Reply #38 on: June 30, 2023, 03:50:45 AM »
No need thanks, I’ve started to update the x libs.

Offline mortegai

  • Jr. Member
  • **
  • Posts: 55
Re: piCore 14.0 (32 and 64 bit) release
« Reply #39 on: June 30, 2023, 06:31:41 AM »
fontconfig, freetype and harfbuzz updated in armv* repos.
With updated freetype I have the same problem mentioned in http://repo.tinycorelinux.net/13.x/x86/tcz/src/freetype/compile_freetype with firefox

aus9

  • Guest
Re: piCore 14.0 (32 and 64 bit) release
« Reply #40 on: June 30, 2023, 06:41:47 AM »
Hi Juanito and Paul_123

Thanks for your patience and skills. Based on Juanito's last post I will delay any rebuilds. A number of my packages that I pulled from submission process show ldd hits for libffi6. I assume we are not concerned about lifffi6?

thanks

aus9

  • Guest
Re: piCore 14.0 (32 and 64 bit) release
« Reply #41 on: June 30, 2023, 06:46:43 AM »
Hi mortegai

I have firefox.tcz on arm7l with 8 tabs open. How many do you see a crash please?

Offline mortegai

  • Jr. Member
  • **
  • Posts: 55
Re: piCore 14.0 (32 and 64 bit) release
« Reply #42 on: June 30, 2023, 07:03:09 AM »
Hi mortegai

I have firefox.tcz on arm7l with 8 tabs open. How many do you see a crash please?

No tab opens. The error occurs as soon as you start Firefox

aus9

  • Guest
Re: piCore 14.0 (32 and 64 bit) release
« Reply #43 on: June 30, 2023, 08:52:33 AM »
arm8 firefox-perf opens for me needs libffi7 loaded
arm7l firefox opens for me  needs libffi6

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14641
Re: piCore 14.0 (32 and 64 bit) release
« Reply #44 on: June 30, 2023, 10:26:11 AM »
With updated freetype I have the same problem mentioned ... with firefox

Firefox crashed occasionally for me before and after the update to freetype.